Skip to content

Suggest Component Description

POST
/api/v1/workspaces/{workspace_id}/email_design_systems/{emailDesignSystemId}/components/{name}/suggest_description
curl --request POST \
--url https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/email_design_systems/1/components/example/suggest_description \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "component": { "name": "MyComponent", "label": "My Component", "description": "A hero banner image with a headline and image, body text and a call to action button.", "email_design_system_id": 12345, "updated_at": "2023-08-23T10:30:00.000Z", "created_at": "2023-08-23T10:30:00.000Z", "container": false, "template": "<div>My Component</div>", "field_definitions": [ { "type": "text", "label": "example", "group": "Styling", "liquid_variable": "heading_text", "visible_if": "show_heading == true", "default_value": "example", "validations": { "min_length": 1, "max_length": 1, "must_not_be_blank": true, "must_not_be_default": true }, "hint": "Keep this short and punchy", "hidden_in_editor": true, "hidden_from_ai": true, "feed_field_name": "example" } ], "screenshot_url": "https://www.example.com/screenshot.png", "position": 1, "last_updated_by": { "type": "User", "id": 12345, "first_name": "John", "last_name": "Smith", "profile_image_url": "https://example.com/profile.jpg" }, "feed_id": 12345, "deprecated": false } }'

Suggests a description for a component.

  • OAuth2
    email_design_systems:read
workspace_id
required
integer

Workspace ID

emailDesignSystemId
required
integer

Email Design System ID

name
required
string

Component name

Media typeapplication/json
object
component
required
object
name
required
string
Example
MyComponent
label
required
string
Example
My Component
description
required
string
nullable
Example
A hero banner image with a headline and image, body text and a call to action button.
email_design_system_id
required
integer
Example
12345
updated_at
required
string format: date-time
Example
2023-08-23T10:30:00.000Z
created_at
required
string format: date-time
Example
2023-08-23T10:30:00.000Z
container
boolean
nullable
Example
false
template
required
string
Example
<div>My Component</div>
field_definitions
required
Array
One of:
object
type
required
string
Allowed values: text
label
required
string
group

An optional label used to group related fields together in the editor.

string
nullable
Example
Styling
liquid_variable
required

The Liquid variable name used to reference this field in templates.

string
Example
heading_text
visible_if

A Liquid expression (without the surrounding {% %}) that determines when this field is visible in the editor.

string
Example
show_heading == true
default_value
required
string
validations
object
min_length
integer
max_length
integer
must_not_be_blank
boolean
must_not_be_default
boolean
hint

Helper text displayed below the field in the editor.

string
Example
Keep this short and punchy
hidden_in_editor

Whether this field is hidden from the editor UI.

boolean
hidden_from_ai

Whether this field is hidden from AI Agents.

boolean
feed_field_name

The name of the feed field that populates this field’s value. If null, this field is not populated from a feed.

string
nullable
screenshot_url
required
string
Example
https://www.example.com/screenshot.png
position
required
integer
nullable
Example
1
last_updated_by
required
object
One of:
object
type
required
string
Allowed values: User
Example
User
id
required
integer
Example
12345
first_name
required
string
Example
John
last_name
required
string
Example
Smith
profile_image_url
required
string
nullable
Example
https://example.com/profile.jpg
feed_id
required
integer
nullable
Example
12345
deprecated
required
boolean
Example
false

Successful

Media typeapplication/json
object
description
required
string
Examplegenerated
{
"description": "example"
}

Unauthorized

Media typeapplication/json
object
message
required
string
Example
{
"message": "Record not found"
}

Forbidden

Media typeapplication/json
object
message
required
string
Example
{
"message": "Record not found"
}

Not Found

Media typeapplication/json
object
message
required
string
Example
{
"message": "Record not found"
}

Unprocessable Entity

Media typeapplication/json
object
message
required
string
errors
required
object
key
additional properties
Array<string>
Example
{
"errors": {
"username": [
"Username is required.",
"Username must be unique."
],
"email": [
"Invalid email format."
]
}
}